package cz.muni.fi.pa165.image;


import cz.muni.fi.pa165.common.BaseMapper;
import org.mapstruct.Mapper;
import org.mapstruct.MappingTarget;


@Mapper
public interface ImageMapper extends BaseMapper<Image, ImageDto> {

    /**
     * Updates the fields of an existing {@link Image} object with values from the corresponding fields in the provided
     * {@link ImageDto} object.
     * @param imageDto the DTO object containing the new values for the fields
     * @param image the {@link Image} object to update
     */
    void updateFromDto(ImageDto imageDto, @MappingTarget Image image);
}
