package cz.muni.fi.pa165.user;

import cz.muni.fi.pa165.common.BaseObject;
import jakarta.persistence.Entity;
import jakarta.persistence.EnumType;
import jakarta.persistence.Enumerated;
import jakarta.persistence.Table;
import lombok.*;

@Getter
@Setter
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Entity
@Table(name = "users")
public class User extends BaseObject {

    private String firstname;

    private String lastname;

    private String username;

    private String password;

    @Enumerated(EnumType.STRING)
    private Role role;
}
