package cz.muni.fi.pa165.rating;

import cz.muni.fi.pa165.common.BaseMapper;
import org.mapstruct.Mapper;
import org.mapstruct.MappingTarget;

@Mapper
public interface RatingMapper extends BaseMapper<Rating, RatingDto> {

    /**
     * Updates the target {@code Rating} entity with the values from the source {@code RatingDto}.
     *
     * @param ratingDto the source {@code RatingDto} containing the updated values
     * @param rating the target {@code Rating} entity to be updated
     */
    void updateFromDto(RatingDto ratingDto, @MappingTarget Rating rating);
}
